Apache C++ Standard Library Reference Guide

## bad_exception

Library: Language support

    bad_exception  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <exception>

### Description

An object of class bad_exception is thrown to replace an exception that does not meet a function's throw specification. The class is derived from exception.

### Interface

    namespace std {
          class bad_exception : public exception {
          public:
            bad_exception() throw();
            bad_exception(const bad_exception&) throw();
            bad_exception& operator=(const bad_exception&) throw();
            virtual ~bad_exception() throw();
            virtual const char* what() const throw();
          };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_typeid, domain_error, exception, invalid_argument, ios_base::failure, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.6.2.1